@echo off
rem     m.BAT: Run a NMAKE, and recall last explicit set of parameters
rem     if no filename is specified. Written by Leor Zolman, 11/92
rem
rem     Usage:
rem         m [command line parameters]             - save cmd line image
rem         m                                       - re-issue saved image
rem

rem Set up for Microsoft Compiler:
set APP=nmake /f
set MAKEXT=.mak
if %COMPILER% == cl goto checkarg

rem Set up for Borland Compiler:
set APP=make -f
set MAKEXT=

:checkarg

if "%1" != "" goto explicit
if "%lastmake" != "" goto run

echo You have not specified a command yet;
echo please enter an explicit command line!
goto end

:explicit
set lastmake=%APP %1%MAKEXT% %2 %3 %4 %5 %6 %7 %8 %9
echo Setting command line to "%lastmake" and executing. . .
goto run2

:run
echo Executing: %lastmake. . .

:run2
%lastmake

:end
