/*****************************************************/
/* textbug.c                                         */
/* -- Set the text of another application's edit     */
/*    control in a dialog.                           */
/*  cc -DSTRICT textbug.c                            */
/*****************************************************/
#include <windows.h>
#include <windowsx.h>
#include "textbug.h"

BOOL CALLBACK __export
    FDlgProc(HWND, UINT, WPARAM, LPARAM);

#ifdef __BORLANDC__
    #pragma argsused
#endif
int PASCAL WinMain(HINSTANCE hins, HINSTANCE hinsPrev,
  LPSTR lsz, int wShow)
/*****************************************************/
/* -- Entry point.                                   */
/*****************************************************/
    {
    char    szInstance[10];
    HMODULE hmod;
    HWND    hwnd, hwndDlg;
    MSG     msg;

    if ((hwndDlg = CreateDialog(hins,
        MAKEINTRESOURCE(dlgDemo), NULL, FDlgProc))
      == NULL)
        return 0;

    /* Set the text of all other siblings' edit */
    /* control with our instance handle. */
    wsprintf(szInstance, "%x", hins);
    hmod = GetInstanceModule(hins);
    for (hwnd = GetWindow(hwndDlg, GW_HWNDFIRST);
      hwnd != NULL;
      hwnd = GetWindow(hwnd, GW_HWNDNEXT))
        if (GetInstanceModule(GetWindowInstance(hwnd))
          == hmod)
            {
            SetDlgItemText(hwnd, didEdit, szInstance);
            SetDlgItemText(hwnd, didStatic, szInstance);
            }

    while (GetMessage(&msg, NULL, 0, 0))
        if (!IsDialogMessage(hwndDlg, &msg))
            {
            TranslateMessage(&msg);
            DispatchMessage(&msg);
            }
    return msg.wParam;
    }

#ifdef __BORLANDC__
    #pragma argsused
#endif
BOOL CALLBACK __export
FDlgProc(HWND hwnd, UINT wm, WPARAM wParam,
  LPARAM lParam)
/*****************************************************/
/* -- Dialog procedure.                              */
/*****************************************************/
    {
    switch (wm)
        {
    default:
        break;

    case WM_INITDIALOG:
        return TRUE;

    case WM_COMMAND:
        switch (wParam)
            {
        default:
            break;

        case IDOK:
        case IDCANCEL:
            DestroyWindow(hwnd);
            return TRUE;
            }
        break;

    case WM_DESTROY:
        PostQuitMessage(0);
        break;
        }

    return FALSE;
    }
